Name:          python-pyOpenSSL
Version:       23.1.1
Release:       1mamba
Summary:       Python interface to the OpenSSL library
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.pyopenssl.org/en/stable/
Source:        https://pypi.debian.net/pyOpenSSL/pyOpenSSL-%{version}.tar.gz
Patch0:        python-pyOpenSSLL-0.7-openssl.patch
Patch1:        python-pyOpenSSL-elinks.patch
Patch2:        python-pyOpenSSL-nopdfout.patch
Patch3:        python-pyOpenSSL-threadsafe.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(cryptography)
## AUTOBUILDREQ-END
BuildRequires: elinks
BuildRequires: tetex-dvips 
BuildRequires: tetex-latex 
BuildRequires: latex2html

%description
Python wrapper around a small subset of the OpenSSL library. Includes: X509 Certificates, SSL Context objects, SSL Connection objects using Python sockets as transport layer. The Connection object wraps all the socket methods and can therefore be used in

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n pyOpenSSL-%{version}
#%patch0 -p1 -b .openssl097
#%patch1 -p1 -b .elinks
#%patch2 -p1 -b .nopdfout
#%patch3 -p1 -b .threadsafe

# Fix permissions for debuginfo package
#%{__chmod} -x src/ssl/connection.c

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/pyOpenSSL-%{version}-py*.egg-info
%{python_sitearch}/pyOpenSSL-%{version}-py*.egg-info/*

%changelog
* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 23.1.1-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 23.1.0-1mamba
- automatic version update by autodist

* Mon Jan 02 2023 Automatic Build System <autodist@mambasoft.it> 23.0.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2022 Automatic Build System <autodist@mambasoft.it> 22.1.0-1mamba
- automatic version update by autodist

* Sun Jan 30 2022 Automatic Build System <autodist@mambasoft.it> 22.0.0-1mamba
- automatic version update by autodist

* Sat Oct 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0.0-1mamba
- update to 21.0.0

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.0.1-2mamba
- rebuilt with distdeps

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 20.0.1-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 19.1.0-1mamba
- update to 19.1.0

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 17.5.0-1mamba
- automatic update by autodist

* Thu Nov 23 2017 Automatic Build System <autodist@mambasoft.it> 17.4.0-1mamba
- automatic update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 17.3.0-1mamba
- automatic update by autodist

* Wed Oct 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.2.0-1mamba
- update to 16.2.0

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1-1mamba
- update to 0.15.1

* Sat Jun 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9-2mamba
- python 2.7 mass rebuild

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.9-1mamba
- automatic update by autodist

* Mon Dec 29 2008 gil <puntogil@libero.it> 0.8-2mamba
- rebuilt with python 2.6

* Tue Nov 18 2008 gil <puntogil@libero.it> 0.8-1mamba
- package created by autospec
